org.jbpm.services.task.audit.service

## Class TaskJPAAuditService

- java.lang.Object
- - org.jbpm.process.audit.JPAService
  - - org.jbpm.process.audit.JPAAuditLogService
    - - org.jbpm.services.task.audit.service.TaskJPAAuditService

- All Implemented Interfaces:
    AuditLogService, org.kie.api.runtime.manager.audit.AuditService
  Direct Known Subclasses:
    ExecutorJPAAuditService

      public class TaskJPAAuditService
      extends JPAAuditLogService

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.JPAAuditLogService

      `criteriaFieldClasses, criteriaFields`

    - ### Fields inherited from class org.jbpm.process.audit.JPAService

      `persistenceStrategy, persistenceUnitName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskJPAAuditService()`
    `TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.query.AuditTaskDeleteBuilder` | `auditTaskDelete()`
    `org.kie.internal.task.query.AuditTaskQueryBuilder` | `auditTaskQuery()`
    `BAMTaskSummaryQueryBuilder` | `bamTaskSummaryQuery()`
    `void` | `clear()`
    `protected void` | `closeEntityManager(javax.persistence.EntityManager em, Object transaction)`
    `protected javax.persistence.EntityManager` | `getEntityManager()`
    `protected org.jbpm.query.jpa.impl.QueryCriteriaUtil` | `getQueryCriteriaUtil(Class queryType)`
    `protected Object` | `joinTransaction(javax.persistence.EntityManager em)`
    `org.kie.internal.task.query.TaskEventDeleteBuilder` | `taskEventInstanceLogDelete()`
    `org.kie.internal.task.query.TaskEventQueryBuilder` | `taskEventQuery()`
    `org.kie.internal.task.query.TaskVariableDeleteBuilder` | `taskVariableInstanceLogDelete()`
    `org.kie.internal.task.query.TaskVariableQueryBuilder` | `taskVariableQuery()`

    - ### Methods inherited from class org.jbpm.process.audit.JPAAuditLogService

      `addCriteria, addVarValCriteria, checkVarValCriteria, doDelete, doQuery, findActiveProcessInstances, findActiveProcessInstances, findNodeInstances, findNodeInstances, findProcessInstance, findProcessInstances, findProcessInstances, findSubProcessInstances, findVariableInstances, findVariableInstances, findVariableInstancesByName, findVariableInstancesByNameAndValue, nodeInstanceLogDelete, nodeInstanceLogQuery, processInstanceLogDelete, processInstanceLogQuery, queryLogs, variableInstanceLogDelete, variableInstanceLogQuery`

    - ### Methods inherited from class org.jbpm.process.audit.JPAService

      `dispose, executeQuery, getPersistenceUnitName, setPersistenceUnitName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.manager.audit.AuditService

      `dispose`

- - ### Constructor Detail

    - #### TaskJPAAuditService

          public TaskJPAAuditService()

    - #### TaskJPAAuditService

          public TaskJPAAuditService(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager()

      Overrides:
        `getEntityManager` in class `JPAService`

    - #### joinTransaction

          protected Object joinTransaction(javax.persistence.EntityManager em)

      Overrides:
        `joinTransaction` in class `JPAService`

    - #### closeEntityManager

          protected void closeEntityManager(javax.persistence.EntityManager em,
                                            Object transaction)

      Overrides:
        `closeEntityManager` in class `JPAService`

    - #### auditTaskDelete

          public org.kie.internal.task.query.AuditTaskDeleteBuilder auditTaskDelete()

    - #### taskEventInstanceLogDelete

          public org.kie.internal.task.query.TaskEventDeleteBuilder taskEventInstanceLogDelete()

    - #### taskVariableInstanceLogDelete

          public org.kie.internal.task.query.TaskVariableDeleteBuilder taskVariableInstanceLogDelete()

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.kie.api.runtime.manager.audit.AuditService`
      Overrides:
        `clear` in class `JPAAuditLogService`

    - #### auditTaskQuery

          public org.kie.internal.task.query.AuditTaskQueryBuilder auditTaskQuery()

    - #### bamTaskSummaryQuery

          public BAMTaskSummaryQueryBuilder bamTaskSummaryQuery()

    - #### taskEventQuery

          public org.kie.internal.task.query.TaskEventQueryBuilder taskEventQuery()

    - #### taskVariableQuery

          public org.kie.internal.task.query.TaskVariableQueryBuilder taskVariableQuery()

    - #### getQueryCriteriaUtil

          protected org.jbpm.query.jpa.impl.QueryCriteriaUtil getQueryCriteriaUtil(Class queryType)

      Overrides:
        `getQueryCriteriaUtil` in class `JPAAuditLogService`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.